package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum CodeAccTypeEnum implements BaseEnum{
    PUR("PUR","采购入库单"),
    OUT("OUT","采购退货单"),
    SALE("SALE","销售订单"),
    INIT("INIT","初始化"),
    SALE_REFUND("SALE_REFUND","销售退货订单"),

    ;


    @JsonValue
    @EnumValue
    private final String key;
    private final String remark;




}